Bug 973125 - problem detected -> no problem detected
problem detected -> no problem detected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 06:42 EDT by Kamil Páral
Modified: 2016-11-30 19:44 EST (History)
8 users (show)

See Also:
Fixed In Version: abrt-2.1.6-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-03 19:56:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-06-11 06:42:57 EDT
Description of problem:
<kparal> abrt under KDE: "a problem was detected" in systray -> click on it -> "no problems detected" window
<kparal> the secret sauce is to check "all problems" checkbox. how many people will find that out?
<jmoskovc> kparal: the problem is not accessible by the current user, so you have to click the "all problems"
<kparal> I know. but I shouldn't need to know
<kparal> for general user this is just a misbehaving application
<kparal> problem detected -> no problem detected
<jmoskovc> so file a bug, describe your proposed solution and put someone from UX team to CC
<kparal> I'm not sure I have a proposal. that would require some serious thinking

A few half-baked ideas:
1. If I click on the systray icon, open up the window with the correct bug report selected. If it is a hidden bug report (other user's report), ask for admin permissions right away, while opening the window. Then select the correct field.
2. If the logged-in user doesn't have admin permissions, don't display the systray icon at all (this might already work this way, I don't know).
3. Replace the "all problems" checkbox with something saner and more obvious, clear, descriptive. What about a yellow notification banner at the top of the window saying something like "Some problems of other users are hidden. [Show all]". If the user doesn't have admin permissions, there should be a link to help instead of the button, or the button should open up a dialog informing him about insufficient rights.

That would improve the current state substantially, I guess. But just a half-baked idea, you might have a better one.

Version-Release number of selected component (if applicable):
gnome-abrt 0.2.12-3.fc19

How reproducible:
100%

Steps to Reproduce:
1. clean install
2. crash something under root
3. see systray icon "problems detected"
4. click on the icon
5. see window "no problems detected"
6. be utterly confused

Actual results:
utter confusion

Expected results:
a problem displayed
Comment 1 Kamil Páral 2013-06-11 06:44:16 EDT
> What about a yellow notification banner at the
> top of the window saying something like "Some problems of other users are
> hidden. [Show all]". 

Of course, don't show the banner if there are no reports from other users.
Comment 2 Jakub Filak 2013-06-18 06:41:11 EDT
(In reply to Kamil Páral from comment #0)
> A few half-baked ideas:
> 1. If I click on the systray icon, open up the window with the correct bug
> report selected. If it is a hidden bug report (other user's report), ask for
> admin permissions right away, while opening the window. Then select the
> correct field.

I've submitted a patch for ABRT which implements the first point from the ideas.
https://lists.fedorahosted.org/pipermail/crash-catcher/2013-June/004818.html
Comment 3 Jakub Filak 2013-06-28 07:09:14 EDT
An ABRT patch required for the 3rd point has been submitted for review:
https://lists.fedorahosted.org/pipermail/crash-catcher/2013-June/004824.html
Comment 4 Jakub Filak 2013-07-04 08:54:23 EDT
Fixed in upstream git:

ABRT:
====

commit f0d4c2e67773a00665ad52d6ea3829334e4f0ac9
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue Jun 18 17:33:46 2013 +0200

    dbus: add GetForeignProblems method
    
    Returns a list of problem ids whose data are not accessible without
    authorization.
    
    The method itself doesn't require any authorization because it is not an
    security issue to see other's problem ids.
    
    Related to rhbz#973125
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Martin Milata <mmilata@redhat.com>

commit 5f1539f9718c76ee87dfbde35e66aa5377005fe8
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue Jun 18 17:33:45 2013 +0200

    problem API: add function getting list of inaccessible problem IDs
    
    Related to rhbz#973125
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Martin Milata <mmilata@redhat.com>

commit bbb2db047b200a69800168568993c407000271d2
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue Jun 18 09:58:29 2013 +0200

    the system tray icon opens recently detected problem
    
    Related to rhbz#973125
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Martin Milata <mmilata@redhat.com>


gnome-abrt:
==========

commit b0cc01ea8e293911c83750b6f6da3ad56b17b2d9
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue Jul 2 12:10:05 2013 +0200

    Display two sets of problems (My/System)
    
    Closes rhbz#973125
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Martin Milata <mmilata@redhat.com>
Comment 5 Fedora Update System 2013-07-29 07:11:18 EDT
abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-1.fc18,libreport-2.1.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-1.fc18,libreport-2.1.6-2.fc18
Comment 6 Fedora Update System 2013-07-29 08:14:52 EDT
abrt-2.1.6-2.fc19,gnome-abrt-0.3.0-3.fc19,libreport-2.1.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/abrt-2.1.6-2.fc19,gnome-abrt-0.3.0-3.fc19,libreport-2.1.6-2.fc19
Comment 7 Fedora Update System 2013-07-30 13:42:04 EDT
Package abrt-2.1.6-2.fc18, gnome-abrt-0.3.0-1.fc18, libreport-2.1.6-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.6-2.fc18 gnome-abrt-0.3.0-1.fc18 libreport-2.1.6-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13876/abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-1.fc18,libreport-2.1.6-2.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-08-03 19:56:48 EDT
abrt-2.1.6-2.fc19, gnome-abrt-0.3.0-3.fc19, libreport-2.1.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-08-22 20:38:56 EDT
abrt-2.1.6-3.fc18, libreport-2.1.6-2.fc18, gnome-abrt-0.3.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.